//-----------------------------LICENSE NOTICE------------------------------------
//	GNU GENERAL PUBLIC LICENSE - Version 3, 29 June 2007
//	For more info, read LICENSE.txt on source's root directory
//------------------------------------------------------------------------------

#include <cpctelera.h>
#include "game.h"


//No crear variables globales, tienen que ser constantes globales


//0.black, 1.bright yellow, 2.lime, 3.bright cyan, 4.pink, 5.orange, 6.white, 7.yellow, 
// 8.sky blue, 9.green, 10.bright red, 11.magenta, 12.red, 13.bright blue, 14.blue, 15.bright white
const u8 g_palette[16] = {
   0, 24, 21, 20, 16, 15, 13, 12,
   11,  9,  6,  4,  3,  2,  1,  26
};

// Inicializar
void init(){
  cpct_disableFirmware();
  
  // Set the hardware palette (convert firmware colour values to hardware ones and set the palette)
  cpct_fw2hw(g_palette, 16);
  cpct_setPalette(g_palette, 16);



  // Change to Mode 0 (160x200, 16 colours)
  cpct_setVideoMode(0);
}



//Aquí empieza todo
void main(void) {
	u8 pantalla, juego;

	init();

	while(1){
		pantalla = menu();
		switch(pantalla){
			case 1:
				juego = game();
				if(juego == 1){
					gameOver();
				}else if(juego == 2){
					ganar();
				}
				break;
			case 2:
				controles();
				break;
			case 3:
				creditos();
				break;
		}
	}
}