//-----------------------------LICENSE NOTICE------------------------------------
//	GNU GENERAL PUBLIC LICENSE - Version 3, 29 June 2007
//	For more info, read LICENSE.txt on source's root directory
//------------------------------------------------------------------------------


///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
//// GAME MODULE
////   Controls all the high-level logic that implements the game
////
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

#ifndef _GAME_H_
#define _GAME_H_

#include <types.h>



//
// Functions defined in the game module
//
void drawMap(u8 n);
void dibujarVida();
void borrarLlave();
void cambiarVida(u8 vida);
u8 game();
u8* cambiarSprites(u8 *sprite, u8 antorcha, u8 dir);
void dibujarPersonaje(u8 *sprite, u8 x, u8 y);
void borrarPersonaje(u8 x, u8 y);



#endif